config:
  existingSecret: oauth2-proxy-creds

extraArgs:
  whitelist-domain: .junv.me
  cookie-domain: .junv.me
  provider: github
  silence-ping-logging: true

authenticatedEmailsFile:
  enabled: true
  restricted_access: |-
    wahyd4@gmail.com

ingress:
  enabled: true
  path: /
  hosts:
    - id.junv.me
  annotations:
    kubernetes.io/ingress.class: nginx
    cert-manager.io/cluster-issuer: letsencrypt-prod
    kubernetes.io/tls-acme: "true"
  tls:
    - secretName: oauth2-proxy
      hosts:
        - id.junv.me

erviceAccount:
  enable: false
replicaCount: 1
